<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if (!Schema::hasTable('pbtemps')) {
            Schema::create('pbtemps', function (Blueprint $table) {
                $table->id();
                $table->string('name', 50)->nullable();
                $table->string('phone', 50)->nullable();
                $table->string('email', 191)->nullable();
                $table->string('memo', 191)->nullable();
                $table->string('column1', 191)->nullable();
                $table->string('column2', 191)->nullable();
                $table->string('column3', 191)->nullable();
                $table->string('column4', 191)->nullable();
                $table->string('column5', 191)->nullable();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pbtemps');
    }
};
